<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:background="@drawable/ground"
    android:orientation="vertical" >

    <RelativeLayout
        android:id="@+id/up"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
       android:background="@drawable/title" 
         >

        <TextView
            android:id="@+id/textView4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:text="@string/Basic_information"
            android:textColor="#FFFFFFFF"
            android:textSize="25dp" />
    </RelativeLayout>
    <RelativeLayout
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:padding="15dp"/>

    <RelativeLayout
        android:layout_width="fill_parent"
        android:layout_height="fill_parent" >

        <EditText
            android:id="@+id/editText2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_toLeftOf="@+id/haoButton1"
            android:ems="10"
            android:focusable="false"
            android:lines="2"
            android:hint="@string/Serial_number" />

        <Button
            android:id="@+id/haoButton1"
            android:layout_width="100dp"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@+id/editText2"
            android:layout_alignTop="@+id/editText2"
            android:layout_alignParentRight="true"
            android:text="@string/Serial_number" />

        <!-- <TextView
            android:id="@+id/longbutton1"
            android:layout_width="100dp"
            android:layout_height="wrap_content"
            android:layout_below="@+id/haoButton1"
            android:gravity="center"
            android:text="@string/Input_length" /> -->

        <EditText
            android:id="@+id/editText3"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_marginTop="18dp"
            android:layout_below="@+id/haoButton1"
            android:ems="10"
            android:numeric="integer"
            android:hint="@string/inputRN"/>
        
        <EditText
            android:id="@+id/editText1"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/numButton2"
            android:ems="10"
            android:focusable="false" />

        <Button
            android:id="@+id/numButton2"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/editText3"
            android:layout_alignParentRight="true"
            android:text="@string/For_random_number" />
        
    </RelativeLayout>

</LinearLayout>